//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
struct Code
{
  TColor Color;
  bool Bold;
  bool Italic;
  bool Underline;
};
class Parameters
{
  private:

  public:
    Code *Comment;
    Code *ReservedWord;
    Code *Preprocessor;
    Code *QuotedString;
    AnsiString HtmlFont;
    TStringList *ReservedWords;
    __fastcall Parameters();
    __fastcall ~Parameters();
    void __fastcall SaveToReg();
    void __fastcall LoadFromReg();
};

class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TGroupBox *GroupBox1;
  TEdit *SourceEdit;
  TLabel *Label1;
  TButton *ChooseFileButton;
  TGroupBox *GroupBox2;
  TListBox *CodeListBox;
  TButton *ChooseColorButton;
  TCheckBox *BoldCheckBox;
  TCheckBox *ItalicCheckBox;
  TCheckBox *UnderlineCheckBox;
  TGroupBox *GroupBox3;
  TLabel *Label2;
  TButton *ChooseFontButton;
  TLabel *Label3;
  TEdit *SizeEdit;
  TLabel *Label4;
  TEdit *TitleEdit;
  TGroupBox *GroupBox4;
  TComboBox *ReservedWordsComboBox;
  TButton *AddButton;
  TButton *RemoveButton;
  TGroupBox *GroupBox5;
  TButton *SaveButton;
  TOpenDialog *OpenDialog;
  TFontDialog *FontDialog;
  TColorDialog *ColorDialog;
  TProgressBar *ProgressBar1;
  TLabel *Label5;
  TEdit *MarginEdit;
  TEdit *TabEdit;
  TLabel *Label6;
  void __fastcall SaveButtonClick(TObject *Sender);
  void __fastcall ChooseFileButtonClick(TObject *Sender);
  void __fastcall ChooseColorButtonClick(TObject *Sender);
  void __fastcall ChooseFontButtonClick(TObject *Sender);
  void __fastcall BoldCheckBoxClick(TObject *Sender);
  void __fastcall ItalicCheckBoxClick(TObject *Sender);
  void __fastcall UnderlineCheckBoxClick(TObject *Sender);
  void __fastcall CodeListBoxClick(TObject *Sender);
  void __fastcall AddButtonClick(TObject *Sender);
  void __fastcall RemoveButtonClick(TObject *Sender);
private:	// User declarations
  Parameters *Par;
  bool Comment;
  bool __fastcall ToHtml(AnsiString FileName);
  AnsiString __fastcall WriteHeader();
  AnsiString __fastcall ReverseHex(AnsiString HexValue);
  void __fastcall ParseLine(TFileStream *Out,AnsiString Line);
  bool __fastcall IsAlpha(char ch);
  bool __fastcall IsReserved(AnsiString Word);
  AnsiString __fastcall ReplaceBlank(AnsiString Buffer);
  AnsiString __fastcall ReplaceLtAndGt(AnsiString Buffer);
  void __fastcall WriteComment(TFileStream *Out,AnsiString Buffer);
  void __fastcall WritePreprocessor(TFileStream *Out,AnsiString Buffer);
  void __fastcall WriteReserved(TFileStream *Out,AnsiString Buffer);
  void __fastcall WriteQuotedString(TFileStream *Out,AnsiString Buffer);
public:		// User declarations
  __fastcall TForm1(TComponent* Owner);
  __fastcall ~TForm1();
};

//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
